Name: xz
Version: 4.999.9
Release: alt0.M41.1

Summary: LZMA/XZ compression programs
License: Public Domain
Group: Archiving/Compression

URL: http://tukaani.org/xz/
Source: xz-v4.999.9beta-22-g49cfc8d.tar
Patch: xz-%version-%release.patch

Requires: liblzma = %version-%release

# Last lzma-utils version was 4.32.7
Provides: lzma-utils = 4.32.9
Obsoletes: lzma-utils < 4.32.9

# Automatically added by buildreq on Thu Sep 24 2009
BuildRequires: cvs glibc-devel-static

%description
This package provides a set of gzip-style tools for working with
files compressed with the Lempel-Ziv/Markov-chain compression method.
It supports two formats: .xz and the older .lzma format.

%prep
%setup -q -n xz-v4.999.9beta-22-g49cfc8d
%patch -p1
chmod +x configure build-aux/*
touch configure aclocal.m4 config.h.in Makefile.in

%build
%undefine __libtoolize
%configure --enable-dynamic
%make_build

%install
%make_install install DESTDIR=%buildroot docdir=

mkdir -p %buildroot/%_lib
mv %buildroot%_libdir/liblzma.so.0* %buildroot/%_lib/
ln -snf ../../%_lib/liblzma.so.0 %buildroot%_libdir/liblzma.so

%files
%doc AUTHORS COPYING README
# NB: scripts are disabled in src/Makefile.am
%_bindir/*lz*
%_bindir/*xz*
%_man1dir/*lz*.1*
%_man1dir/*xz*.1*

%package -n liblzma
Summary: LZMA/XZ compression library
Group: System/Libraries

%package -n liblzma-devel
Summary: LZMA/XZ compression library
Group: Development/C
Requires: liblzma = %version-%release
Conflicts: lzmalib-devel

%package -n liblzma-devel-static
Summary: LZMA/XZ compression library
Group: Development/C
Requires: liblzma-devel = %version-%release

%description -n liblzma
This package provides data compression library for working with
files compressed with the Lempel-Ziv/Markov-chain compression method.
It supports two formats: .xz and the older .lzma format.

%description -n liblzma-devel
This package provides data compression library for working with
files compressed with the Lempel-Ziv/Markov-chain compression method.
It supports two formats: .xz and the older .lzma format.

%description -n liblzma-devel-static
This package provides data compression library for working with
files compressed with the Lempel-Ziv/Markov-chain compression method.
It supports two formats: .xz and the older .lzma format.

%files -n liblzma
/%_lib/liblzma.so.0*

%post -n liblzma -p %post_ldconfig
%postun -n liblzma -p %postun_ldconfig

%files -n liblzma-devel
%_includedir/lzma.h
%_includedir/lzma/
%_libdir/liblzma.so
%_pkgconfigdir/liblzma.pc

%files -n liblzma-devel-static
%_libdir/liblzma.a

%changelog
* Wed Sep 30 2009 Alexey Tourbin <at@altlinux.ru> 4.999.9-alt0.M41.1
- backported for branches 4.1 and 4.0

* Thu Sep 24 2009 Alexey Tourbin <at@altlinux.ru> 4.999.9-alt1
- updated to v4.999.9beta-22-g49cfc8d
- the code is now under Public Domain
- new package xz replaces older lzma-utils
- packaged liblzma shared library

* Sun May 10 2009 Alexey Tourbin <at@altlinux.ru> 4.999.3alpha-alt2
- rebuilt with gcc-4.4

* Sat May 24 2008 Alexey Tourbin <at@altlinux.ru> 4.999.3alpha-alt1
- initial revision, based on v4.999.3alpha-6-g11de5d5
- only static liblzma.a library is packaged, due to alpha status
